↑ページトップへ

トップ - 技術ドキュメント - FreeCAD 使い方メモ

FreeCAD 体積、表面積、重心を求める

更新:2019/1/7
FreeCAD 0.17
  1. メニューの [View]-[Panels]-[Python console] を選択して「Python console」を表示します。

  2. 「Python console」に以下のコマンドを入力するとそれぞれの値が「Python console」に表示されます。

    • 表面積を求める場合 : App.ActiveDocument.getObject("オブジェクト名").Shape.Area
    • 体積を求める場合 : App.ActiveDocument.getObject("オブジェクト名").Shape.Volume
    • 重心を求める場合 : App.ActiveDocument.getObject("オブジェクト名").Shape.CenterOfMass
  3. ただし形状の ShapeType が「Compound」の場合は重心はこの方法では求められません。形状の ShapeType を確認するには次のコマンドを実行します。

    • App.ActiveDocument.getObject("オブジェクト名").Shape.ShapeType

    「Compound」の場合には Shape.solids を使って形状の構成ソリッドの重心を取得することができます。

    • App.ActiveDocument.getObject("オブジェクト名").Shape.Solids[0].CenterOfMass
    • App.ActiveDocument.getObject("オブジェクト名").Shape.Solids[1].CenterOfMass
    • ...
Python console Python コンソール
トップ - 技術ドキュメント - FreeCAD 使い方メモ